use ctap;
use hex;
use std::env::args;
use std::error::Error;
fn main() -> Result<(), ctap::FidoError> {
    let user = args()
        .skip(1)
        .next()
        .expect("Please supply username at index 0");
    let devices = ctap::get_devices()?;
    let device_info = &devices[0];
    let mut device = ctap::FidoDevice::new(device_info)?;
    let rp_id = "pam";
    let user_id = [0];
    let user_name = "pam";
    let client_data_hash = [0; 32];
    let cred = device.make_credential(rp_id, &user_id, user_name, &client_data_hash)?;

    println!(
        "{}",
        &[
            &user,
            &hex::encode(&cred.id)[..],
            &hex::encode(&cred.public_key)[..]
        ]
        .join(":")
    );
    Ok(())
}
